# QGraphicsLineItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsItem.

### Constructor

- void QGraphicsLineItem(QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsLineItem(QLineF line, QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsLineItem(qreal x1, qreal y1, qreal x2, qreal y2, QGraphicsItem parent, QGraphicsScene scene)

### Constructor Properties

- prototype: The QGraphicsLineItem prototype object

### Prototype Object Properties

- QLineF line()
- QPen pen()
- void setLine(QLineF line)
- void setPen(QPen pen)

### Instance Properties

QGraphicsLineItem objects have no special properties beyond those inherited from the QGraphicsLineItem prototype object.